import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { CareerPageCmsService } from "./career-page-cms.service";
import { UpdateCareerPageCmsDto } from "./dto/update-career-page-cms.dto";

@Controller({ path: "career-page-cms", version: Constants.API_VERSION_1 })

export class CareerPageCmsController {
    constructor(private readonly service: CareerPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateCareerPageCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
