import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { FaqPageUiService } from "./career-page-ui.service";
import { UpdateFaqPageUiDto } from "./dto/update-career-page-ui.dto";

@Controller({ path: "faq-page-component-ui", version: Constants.API_VERSION_1 })

export class FaqPageUiController {
    constructor(private readonly service: FaqPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateFaqPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
