import { Body, Controller, HttpStatus, Post } from "@nestjs/common";
import { ProductService } from "./product.service";
import { Constants } from "src/utils/constants";
import { HttpCode } from "@nestjs/common/decorators";

@Controller({
    path: "product",
    version: Constants.API_VERSION_1
})
export class ProductController {
    constructor(private readonly productService: ProductService) {
    }

    @Post("/all")
    @HttpCode(HttpStatus.OK)
    findAll(
      @Body() variables: any
    ) {
        return this.productService.findAll(variables);
    }

    @Post("/details")
    @HttpCode(HttpStatus.OK)
    findOne(@Body() variables: any) {
        return this.productService.findOne(variables);
    }

    @Post("/filter")
    @HttpCode(HttpStatus.OK)
    filterProducts(
      @Body() variables: any
    ) {
        return this.productService.filterProducts(variables);
    }

    @Post("/brands")
    @HttpCode(HttpStatus.OK)
    findAllBrands(
      @Body() variables: any
    ) {
        return this.productService.findAllBrands(variables);
    }

    @Post("/category")
    @HttpCode(HttpStatus.OK)
    findAllCategory(
      @Body() variables: any
    ) {
        return this.productService.findUniqueCategory(variables);
    }

    @Post("/effects")
    @HttpCode(HttpStatus.OK)
    findAllEffects(
      @Body() variables: any
    ) {
        return this.productService.findAllEffects(variables);
    }

    @Post("/strain-type")
    @HttpCode(HttpStatus.OK)
    findAllStrainType(
      @Body() variables: any
    ) {
        return this.productService.findAllStrainType(variables);
    }

    @Post("/filter-list")
    @HttpCode(HttpStatus.OK)
    filterList(
      @Body() variables: any
    ) {
        return this.productService.filterList(variables);
    }
}
